put
https://fin-api.digetpay.com/v1/merchant/account/sdk-tokens/
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Enable or disable an SDK token. Requires Merchant Portal Bearer token.
Flow
sequenceDiagram
autonumber
participant A as Portal Admin
participant D as DigetPay Portal API
participant T as Terminal / SDK
A->>D: PATCH /merchant/account/sdk-tokens/{userId}
Note right of A: active: true / false
D-->>A: 200 { userId, active }
Note over T: Disabled tokens cannot authenticate
Responses
{
"success": {
"status": 200,
"body": {
"userId": "terminal-user-001",
"active": false
}
}
}{
"failed_not_found": {
"status": 404,
"body": {
"statusCode": 404,
"message": "SDK token not found",
"error": "Not Found"
}
}
}{
"failed_unauthorized": {
"status": 401,
"body": {
"statusCode": 401,
"message": "Unauthorized",
"error": "Unauthorized"
}
}
}